syntax = "proto3";

package v2ray.core.proxy.http;
option csharp_namespace = "V2Ray.Core.Proxy.Http";
option go_package = "github.com/v2fly/v2ray-core/v5/proxy/http";
option java_package = "com.v2ray.core.proxy.http";
option java_multiple_files = true;

import "common/protocol/server_spec.proto";

message Account {
  string username = 1;
  string password = 2;
}

// Config for HTTP proxy server.
message ServerConfig {
  uint32 timeout = 1 [deprecated = true];
  map<string, string> accounts = 2;
  bool allow_transparent = 3;
  uint32 user_level = 4;
}

// ClientConfig is the protobuf config for HTTP proxy client.
message ClientConfig {
  // Sever is a list of HTTP server addresses.
  repeated v2ray.core.common.protocol.ServerEndpoint server = 1;
  bool h1_skip_wait_for_reply = 2;
}
